import request from "@/api/apiConfig";

//获取openId
export function fetchOpenId(code) {
  return request({
    url: "/api/student/wechat/get/openid",
    method: "post",
    data: { code },
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}

export function login(data) {
  return request({
    url: "/api/student/login",
    method: "post",
    data,
    noAuth: true,
    loading: true,
  });
}

export function logout() {
  return request({
    url: "/api/student/logout",
    method: "post",
    loading: true,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}
export function wxBind(openId) {
  return request({
    url: "/api/student/wechat/binding",
    method: "post",
    data: { openId },
  });
}
export function wxUnbind() {
  return request({
    url: "/api/student/wechat/unbind",
    method: "post",
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}

export function wxLogin(openId) {
  return request({
    url: "/api/student/login/for/wechat",
    method: "post",
    data: { openId },
    noAuth: true,
  });
}

//获取考生信息
export function getStuInfo() {
  return request({
    url: "/api/student/info",
    method: "post",
  });
}

//获取考生当前进行中的预约列表(首页)
export function getIndexList() {
  return request({
    url: "/api/student/apply/list/for/current",
    method: "post",
    loading: true,
  });
}

//获取预约考试页面的时段列表
export function getReservationList(data) {
  return request({
    url: "/api/student/apply/time/period/list",
    method: "post",
    data,
    loading: true,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}
//保存考生预约结果
export function reservationSave(data) {
  return request({
    url: "/api/student/apply/save",
    method: "post",
    data,
    loading: true,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}
//取消考生预约结果
export function reservationCancel(data) {
  return request({
    url: "/api/student/apply/cancel",
    method: "post",
    data,
    loading: true,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}

//获取数据分类列表
export function getCategoryList(data) {
  return request({
    url: "/api/student/category/list",
    method: "post",
    data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}

//获取“数据分类”关联的考点列表
export function getSiteList(data) {
  return request({
    url: "/api/student/exam/site/list",
    method: "post",
    data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}

//获取可预约的日期列表
export function getDateList() {
  return request({
    url: "/api/student/apply/date/list",
    method: "post",
    loading: true,
  });
}

//获取电子准考证信息
export function getAdmissionInfo(data) {
  return request({
    url: "/api/student/apply/ticket",
    method: "post",
    data,
    loading: true,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}

//获取考试须知
export function getExamNotice(data) {
  return request({
    url: "/api/student/exam/notice",
    method: "post",
    data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}
//获取考场引导
export function getRoomGuide(data) {
  return request({
    url: "/api/student/exam/site/guide",
    method: "post",
    data,
    headers: {
      "Content-Type": "application/x-www-form-urlencoded",
    },
  });
}

//获取考生预约结果列表(个人中心)
export function getMyHistory() {
  return request({
    url: "/api/student/apply/list",
    method: "post",
  });
}
