import { useIntersectionObserver } from "@vueuse/core";

const imgLazy = (el, binding) => {
  const { stop } = useIntersectionObserver(el, ([{ isIntersecting }]) => {
    // console.log(isIntersecting)
    if (isIntersecting) {
      // 进入视口区域
      el.src = binding.value;
      stop();
    }
  });
};

export default {
  mounted(el, binding) {
    imgLazy(el, binding);
  },
};
