const filters = {
  /**
   * 判断是否是刘海屏
   * @returns
   */
  isBangScreen: () => {
    return (
      window && window.screen.height >= 812 && window.devicePixelRatio >= 2
    );
  },
  /* 日期格式化 */
  dateFormat: (date, fmt = "yyyy/MM/dd HH:mm:ss", isDefault = "-") => {
    if (!date) {
      return "-";
    }
    if (date.toString().length === 10) {
      date *= 1000;
    }
    date = new Date(date);

    if (date.valueOf() < 1) {
      return isDefault;
    }
    const o = {
      "M+": date.getMonth() + 1, // 月份
      "d+": date.getDate(), // 日
      "H+": date.getHours(), // 小时
      "m+": date.getMinutes(), // 分
      "s+": date.getSeconds(), // 秒
      "q+": Math.floor((date.getMonth() + 3) / 3), // 季度
      S: date.getMilliseconds(), // 毫秒
    };
    if (/(y+)/.test(fmt)) {
      fmt = fmt.replace(
        RegExp.$1,
        `${date.getFullYear()}`.substr(4 - RegExp.$1.length)
      );
    }
    for (const k in o) {
      if (new RegExp(`(${k})`).test(fmt)) {
        fmt = fmt.replace(
          RegExp.$1,
          RegExp.$1.length === 1 ? o[k] : `00${o[k]}`.substr(`${o[k]}`.length)
        );
      }
    }
    return fmt;
  },
};
export default filters;
