import { createApp } from "vue";
import App from "@/App.vue";
import router from "@/router";
import store from "./store";
import directives from "./directives";
import filters from "@/filters";
import { ImagePreview } from "vant";
// import vconsole from "vconsole";
import globalComponents from "@/components";
// import "amfe-flexible";
import "@/utils/rem";
import "@/assets/styles/index.less";

// if (import.meta.env.VITE_ENV !== "prod") {
//   new vconsole();
// }

const app = createApp(App);
app
  .use(router)
  .use(store)
  .use(directives)
  .use(globalComponents)
  .use(ImagePreview);
//配置全局属性，访问：在setup函数中通过ctx访问，如：ctx.$filters
app.config.globalProperties.$filters = filters;
app.mount("#app");
