import Layouts from "@/layouts/index.vue";

const routes = [
  {
    path: "/",
    name: "layouts",
    redirect: "/index",
    component: Layouts,
    children: [
      {
        path: "/index",
        name: "Index",
        component: () => import("@/pages/tab-pages/index.vue"),
        meta: { title: "首页" },
      },
      {
        path: "/reservation",
        name: "Reservation",
        component: () => import("@/pages/tab-pages/reservation.vue"),
        meta: { title: "预约考试" },
        children: [
          {
            path: "applyResult",
            name: "ApplyResult",
            component: () => import("@/pages/applyResult.vue"),
            meta: { title: "预约结果" },
          },
        ],
      },
      {
        path: "/mine",
        name: "Mine",
        component: () => import("@/pages/tab-pages/mine.vue"),
        meta: { title: "个人中心" },
      },
    ],
  },
  {
    path: "/login",
    name: "Login",
    component: () => import("@/pages/login.vue"),
    meta: {
      title: "登录",
    },
  },
  {
    path: "/wxLogin",
    name: "WxLogin",
    component: () => import("@/pages/wxLogin.vue"),
    meta: {
      title: "",
    },
  },
  {
    path: "/admissionCard",
    name: "AdmissionCard",
    component: () => import("@/pages/admissionCard.vue"),
    meta: { title: "电子准考证" },
  },
  {
    path: "/myHistory",
    name: "MyHistory",
    component: () => import("@/pages/myHistory.vue"),
    meta: { title: "预约订单" },
  },
  {
    path: "/examNotice/:applyTaskId",
    name: "ExamNotice",
    component: () => import("@/pages/examNotice.vue"),
    meta: { title: "考试须知" },
  },
  {
    path: "/examGuidance/:examSiteId",
    name: "ExamGuidance",
    component: () => import("@/pages/examGuidance.vue"),
    meta: { title: "考场引导" },
  },
  {
    path: "/404",
    name: "NotFound",
    component: () => import("@/pages/404.vue"),
  },
  {
    path: "/:pathMatch(.*)",
    redirect: "/404",
  },
];

export default routes;
