import { getJSSDKConfigs } from "@/api/common";

class LibForWeixin {
  static auth() {
    const appId = import.meta.env.VITE_WEIXIN_APPID;
    // const scope = "snsapi_userinfo";
    const scope = "snsapi_base"; //只获取openid，不获取用户信息的话，就用这个
    let state = "";
    let redirect_uri = encodeURIComponent(window.location.href);
    window.location.replace(
      `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${appId}&redirect_uri=${redirect_uri}&response_type=code&scope=${scope}&state=${
        state ? encodeURIComponent(state) : ""
      }#wechat_redirect`
    );
  }

  /**
   * 注册JS-SDK
   * @param jsApiList // 需要使用的JS接口列表
   * @returns
   */
  static initJSSDK(jsApiList) {
    console.log("jsApiList > ", jsApiList);
    return new Promise(async (resolve, reject) => {
      let url = window.location.href;
      // return resolve(null);
      try {
        const resp = await getJSSDKConfigs(url);
        const { appId, timestamp, nonceStr, signature } = resp.data;
        window.wx.config({
          debug: import.meta.env.MODE === "dev",
          appId,
          timestamp,
          nonceStr,
          signature,
          jsApiList,
        });
        window.wx.ready(() => {
          resolve(null);
        });
        window.wx.error((err) => {
          reject(err);
        });
      } catch {
        reject();
      }
    });
  }
}

export default LibForWeixin;
