/**
 * @description 获取地址栏参数
 * @param {String} name 获取的key
 * @return {String} 对应key的value
 * @date: 2024-04-02
 */
export function getUrlParam(name) {
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
  var r = window.location.search.substr(1).match(reg);
  if (r != null) return unescape(r[2]);
  return null;
}

/**
 * @description 判断字符串是不是json
 * @param {String} str
 * @return {Boolean}
 * @date 2024-04-03
 */
export function isJson(str) {
  if (typeof str !== "string") {
    return false;
  }
  let json = null;
  try {
    json = JSON.parse(str);
  } catch (e) {
    return false;
  }
  if (typeof json !== "object") {
    return false;
  }
  return true;
}
